[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TUDClickEvent

Specifies an event handler signalled for a button click on a TUpDown control.

## Declaration

Source position: comctrls.pp line 1915

`type TUDClickEvent = procedure(`
`Sender: TObject;`
`Button: TUDBtnType`
`) of object;`

## Arguments

`Sender` |  | Object (TCustomUpDown) for the click event.
`Button` |  | Indicates whether the up or down button is applied in the click event.

## Description

TUDClickEvent is the type used to implement a handler routine in the OnClick property in TCustomUpDown.

## See also

TCustomUpDown.OnClick |  | Event handler signalled when a button on the control is clicked.